Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13Packet

    java.lang.Object
      org.mortbay.jetty.ajp.Ajp13Packet

    public class Ajp13Packet

extends java.lang.Object

Author:
  Markus Kobler

Field Summary
`static BufferCache` | `CACHE`
`static java.lang.String` | `CPING_REQUEST`
`static int` | `CPING_REQUEST_ORDINAL`
`static java.lang.String` | `CPONG_REPLY`
`static int` | `CPONG_REPLY_ORDINAL`
`static int` | `DATA_HDR_SIZE`
`static java.lang.String` | `END_RESPONSE`
`static int` | `END_RESPONSE_ORDINAL`
`static java.lang.String` | `FORWARD_REQUEST`
`static int` | `FORWARD_REQUEST_ORDINAL`
`static java.lang.String` | `GET_BODY_CHUNK`
`static int` | `GET_BODY_CHUNK_ORDINAL`
`static int` | `HDR_SIZE`
`static int` | `MAX_DATA_SIZE`
`static int` | `MAX_PACKET_SIZE`
`static java.lang.String` | `PING_REQUEST`
`static int` | `PING_REQUEST_ORDINAL`
`static java.lang.String` | `SEND_BODY_CHUNK`
`static int` | `SEND_BODY_CHUNK_ORDINAL`
`static java.lang.String` | `SEND_HEADERS`
`static int` | `SEND_HEADERS_ORDINAL`
`static java.lang.String` | `SHUTDOWN`
`static int` | `SHUTDOWN_ORDINAL`

Constructor Summary
`Ajp13Packet()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_PACKET_SIZE

    public static final int MAX_PACKET_SIZE

See Also:
  Constant Field Values

### HDR_SIZE

    public static final int HDR_SIZE

See Also:
  Constant Field Values

### DATA_HDR_SIZE

    public static final int DATA_HDR_SIZE

See Also:
  Constant Field Values

### MAX_DATA_SIZE

    public static final int MAX_DATA_SIZE

See Also:
  Constant Field Values

### FORWARD_REQUEST

    public static final java.lang.String FORWARD_REQUEST

See Also:
  Constant Field Values

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

See Also:
  Constant Field Values

### PING_REQUEST

    public static final java.lang.String PING_REQUEST

See Also:
  Constant Field Values

### CPING_REQUEST

    public static final java.lang.String CPING_REQUEST

See Also:
  Constant Field Values

### SEND_BODY_CHUNK

    public static final java.lang.String SEND_BODY_CHUNK

See Also:
  Constant Field Values

### SEND_HEADERS

    public static final java.lang.String SEND_HEADERS

See Also:
  Constant Field Values

### END_RESPONSE

    public static final java.lang.String END_RESPONSE

See Also:
  Constant Field Values

### GET_BODY_CHUNK

    public static final java.lang.String GET_BODY_CHUNK

See Also:
  Constant Field Values

### CPONG_REPLY

    public static final java.lang.String CPONG_REPLY

See Also:
  Constant Field Values

### FORWARD_REQUEST_ORDINAL

    public static final int FORWARD_REQUEST_ORDINAL

See Also:
  Constant Field Values

### SHUTDOWN_ORDINAL

    public static final int SHUTDOWN_ORDINAL

See Also:
  Constant Field Values

### PING_REQUEST_ORDINAL

    public static final int PING_REQUEST_ORDINAL

See Also:
  Constant Field Values

### CPING_REQUEST_ORDINAL

    public static final int CPING_REQUEST_ORDINAL

See Also:
  Constant Field Values

### SEND_BODY_CHUNK_ORDINAL

    public static final int SEND_BODY_CHUNK_ORDINAL

See Also:
  Constant Field Values

### SEND_HEADERS_ORDINAL

    public static final int SEND_HEADERS_ORDINAL

See Also:
  Constant Field Values

### END_RESPONSE_ORDINAL

    public static final int END_RESPONSE_ORDINAL

See Also:
  Constant Field Values

### GET_BODY_CHUNK_ORDINAL

    public static final int GET_BODY_CHUNK_ORDINAL

See Also:
  Constant Field Values

### CPONG_REPLY_ORDINAL

    public static final int CPONG_REPLY_ORDINAL

See Also:
  Constant Field Values

### CACHE

    public static final BufferCache CACHE

Constructor Detail

### Ajp13Packet

    public Ajp13Packet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.